%bcond_with tests

Summary:       Setuptools Rust extension plugin
Name:          python-setuptools-rust
Version:       1.1.2
Release:       5%{?dist}
License:       MIT
URL:           https://github.com/PyO3/setuptools-rust
Source0:       %{pypi_source setuptools-rust}

BuildRequires: python3-devel python3dist(setuptools) python3dist(semantic-version)
BuildRequires: python3dist(typing-extensions) python3dist(setuptools-scm) python3dist(wheel) rust-packaging
%if %{with tests}
BuildRequires: rust-pyo3+default-devel
%endif
BuildArch:     noarch
ExclusiveArch:  %{rust_arches}

%description
Setuptools helpers for Rust Python extensions. Compile and distribute Python extensions written in
Rust as easily as if they were written in C.

%package -n     python3-setuptools-rust
Summary:        %{summary}
Requires:       rust-packaging

%description -n python3-setuptools-rust
Setuptools helpers for Rust Python extensions. Compile and distribute Python extensions written in
Rust as easily as if they were written in C.

%prep
%autosetup -n setuptools-rust-%{version}
rm -rf setuptools-rust.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    %{__python3} -c "from setuptools_rust import RustExtension, version"

%if %{with tests}
cd examples/hello-world
%cargo_prep
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py build
cd ../..
%endif

%files -n python3-setuptools-rust
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/setuptools_rust/
%{python3_sitelib}/setuptools_rust-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.1.2-1
- initial build
